| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ImportDownloadOverlay Class Reference
Inheritance diagram for Digikam::ImportDownloadOverlay:

## Public Member Functions
| ImportDownloadOverlay (QObject *const parent)
ImportOverlayWidget * | buttonWidget () const
Public Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
| AbstractWidgetDelegateOverlay (QObject *const parent)
| This class provides functionality for using a widget in an overlay.
Public Member Functions inherited from Digikam::ItemDelegateOverlay
| ItemDelegateOverlay (QObject *const parent=nullptr)
virtual bool | acceptsDelegate (QAbstractItemDelegate *) const
QAbstractItemDelegate * | delegate () const
virtual void | mouseMoved (QMouseEvent *e, const QRect &visualRect, const QModelIndex &index)
| Only these two methods are implemented as virtual methods.
virtual void | paint (QPainter *p, const QStyleOptionViewItem &option, const QModelIndex &index)
void | setDelegate (QAbstractItemDelegate *delegate)
void | setView (QAbstractItemView *view)
QAbstractItemView * | view () const

## Protected Member Functions
bool | checkIndex (const QModelIndex &index) const override
QWidget * | createWidget () override
| Create your widget here.
void | setActive (bool active) override
| If active is true, this will call createWidget(), initialize the widget for use, and setup connections for the virtual slots.
void | slotEntered (const QModelIndex &index) override
| Default implementation shows the widget iff the index is valid and checkIndex returns true.
void | updatePosition ()
void | visualChange () override
| Called when any change from the delegate occurs - when the overlay is installed, when size hints, styles or fonts change.
Protected Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
bool | checkIndexOnEnter (const QModelIndex &index) const
| Utility method called from slotEntered.
bool | eventFilter (QObject *obj, QEvent *event) override
virtual void | hide ()
| Called when the widget shall be hidden (mouse cursor left index, viewport, uninstalled etc.).
virtual QString | notifyMultipleMessage (const QModelIndex &, int number)
QWidget * | parentWidget () const
virtual void | viewportLeaveEvent (QObject *obj, QEvent *event)
| Called when a QEvent::Leave of the viewport is received.
virtual void | widgetEnterEvent ()
| Called when a QEvent::Enter resp.
void | widgetEnterNotifyMultiple (const QModelIndex &index)
| A sample implementation for above methods.
virtual void | widgetLeaveEvent ()
void | widgetLeaveNotifyMultiple ()
Protected Member Functions inherited from Digikam::ItemDelegateOverlay
QList< QModelIndex > | affectedIndexes (const QModelIndex &index) const
bool | affectsMultiple (const QModelIndex &index) const
| For the context that an overlay can affect multiple items: Assuming the currently overlaid index is given.
int | numberOfAffectedIndexes (const QModelIndex &index) const
bool | viewHasMultiSelection () const
| Utility method.

## Protected Attributes
QPersistentModelIndex | m_index
Protected Attributes inherited from Digikam::AbstractWidgetDelegateOverlay
bool | m_mouseButtonPressedOnWidget = false
QWidget * | m_widget = nullptr
Protected Attributes inherited from Digikam::ItemDelegateOverlay
QAbstractItemDelegate * | m_delegate = nullptr
QAbstractItemView * | m_view = nullptr

## Additional Inherited Members
Signals inherited from Digikam::ItemDelegateOverlay
void | hideNotification ()
void | requestNotification (const QModelIndex &index, const QString &message)
void | update (const QModelIndex &index)
Protected Slots inherited from Digikam::AbstractWidgetDelegateOverlay
virtual void | slotLayoutChanged ()
virtual void | slotReset ()
| Default implementations of these three slots call hide()
virtual void | slotRowsRemoved (const QModelIndex &parent, int start, int end)
virtual void | slotViewportEntered ()
Protected Slots inherited from Digikam::ItemDelegateOverlay

## Member Function Documentation

## ◆ checkIndex()

bool Digikam::ImportDownloadOverlay::checkIndex | ( | const QModelIndex & | index | ) | const
| override protected virtual

Returns
  true here if you want to show the overlay for the given index. The default implementation returns true.

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ createWidget()

QWidget * Digikam::ImportDownloadOverlay::createWidget | ( |  | ) |
| override protected virtual

When creating the object, pass parentWidget() as parent widget. Ownership of the object is passed. It will be deleted in setActive(false).

Implements Digikam::AbstractWidgetDelegateOverlay.

## ◆ setActive()

void Digikam::ImportDownloadOverlay::setActive | ( | bool | active | ) |
| override protected virtual

If active is false, this will delete the widget and disconnect all signal from model and view to this object (!)

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ slotEntered()

void Digikam::ImportDownloadOverlay::slotEntered | ( | const QModelIndex & | index | ) |
| override protected virtual

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ visualChange()

void Digikam::ImportDownloadOverlay::visualChange | ( |  | ) |
| override protected virtual

Reimplemented from Digikam::ItemDelegateOverlay.